# $Revision: 1.87 $, $Date: 2007-12-04 15:19:08 $
# Conditional build:
%bcond_without	autodeps	# don't BR packages needed only for resolving deps
%bcond_without	tests		# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	DBI
%define		pnam	DBI
Summary:	DBI - database independent interface for Perl
Summary(cs.UTF-8):	API pro přístup k databázím pro Perl
Summary(da.UTF-8):	En database-API for Perl
Summary(de.UTF-8):	Ein API Datenbankzugriff für Perl
Summary(es.UTF-8):	Acceso de base de datos API para Perl
Summary(fr.UTF-8):	Une IPA pour l'accès aux bases de données pour Perl
Summary(it.UTF-8):	API di accesso a database per Perl
Summary(ja.UTF-8):	Perl 用データベースアクセス API
Summary(ko.UTF-8):	펄에 사용되는 데이타베이스 액세스 API
Summary(nb.UTF-8):	Et database-API for Perl
Summary(pl.UTF-8):	DBI - niezależny interfejs baz danych dla Perla
Summary(pt.UTF-8):	Uma API de acesso a bases de dados para o Perl
Summary(pt_BR.UTF-8):	Uma API de acesso a bases de dados para o Perl
Summary(ru.UTF-8):	Библиотека для доступа к базам данных для Perl
Summary(sv.UTF-8):	Ett databasåtkomst-API för Perl
Summary(zh_CN.UTF-8):	Perl 的数据库访问 API。
Name:		perl-DBI
Version:	1.601
Release:	2
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pnam}-%{version}.tar.gz
# Source0-md5:	d80677bd8113ec8cb0438b8703f3c418
Patch0:		%{name}-changes.patch
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with autodeps} || %{with tests}
BuildRequires:	perl-Net-Daemon
BuildRequires:	perl-PlRPC
%endif
Obsoletes:	perl-DBI-FAQ
Conflicts:	perl-DBD-CSV < 1:0.21
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(DBD::<foo>)' 'perl(DBI)' 'perl(DBI::.*)'
%define		_noautoreqdep	'perl(UNIVERSAL)'

%description
The DBI is a database access module for the Perl programming language.
It defines a set of methods, variables, and conventions that provide a
consistent database interface, independent of the actual database
being used.

%description -l cs.UTF-8
DBI je Application Programming Interface (API) pro přístup k databázím
pro programovací jazyk Perl. Specifikace DBI API definuje sadu funkcí,
proměnných a konvencí, které poskytují konzistentní databázové
rozhraní nezávislé na právě použité databázi.

%description -l da.UTF-8
DBI er en databaseadgangsprogrammeringsgrænseflade (API) for
programmeringssproget Perl. DBI API-specifikationen definerer et antal
funktioner, variable og konventioner som tilbyder et konsistent
databasegrænseflade uafhængigt af den faktiske database som bruges.

%description -l de.UTF-8
DBI ist ein Datenbankzugriff Application Programming Interface (API)
für die Programmiersprache Perl. Die DBI API Spezifikation definiert
ein Set von Funktionen, Variablen und Konventionen die ein von der
aktuell benutzten Datenbank unabhängiges, konsistentes
Datenbankinterface bereitstellen.

%description -l es.UTF-8
DBI es una interfaz de programación de aplicación del acceso de base
dedatos (API) para el lenguaje de programación de Perl. La
especificación de DBI API define un conjunto de funciones, de
variables y de las convenciones que proporcionan a un interfaz de base
de datos constante independiente de la base de datos real que es
utilizada.

%description -l fr.UTF-8
DBI est une interface de programme d'applications d'accès aux bases de
données (IPA) pour le langage de programmation Perl. La spécification
de l'IPA DBI définit des fonctions, des variables et des conventions
qui fournissent une interface de base de donnée indépendante de la
base de données utilisée.

%description -l it.UTF-8
DBI è un'API (Application Programming Interface) di accesso a database
per il linguaggio di programmazione Perl. La specifica API di DBI
definisce una serie di funzioni, variabili e convenzioni che
forniscono un'interfaccia database conforme e indipendente dal
database in uso.

%description -l ja.UTF-8
DBI は Perl プログラミング言語用のデータベースアクセス API
(Application Programming Interface) です。DBI API の仕様は、実際に使用
されるデータベースとは別の一貫性のあるデータベースインターフェイスを規
定する関数、 変数、法則のセットを定義します。

%description -l pl.UTF-8
DBI jest modułem dostępu do baz danych dla Perla. Definiuje grupę
metod, zmiennych i konwencji, zapewniających spójny interfejs do baz
danych, niezależny od typu aktualnie używanej bazy.

%description -l pt.UTF-8
O DBI é uma API (Application Programming Interface) de acesso a bases
de dados para a linguagem Perl. A especificação da API do DBI define
um conjunto de funções, variáveis e convenções que oferecem uma
interface de bases de dados consistente e independente da base de
dados que é usada para o efeito.

%description -l pt_BR.UTF-8
O DBI é uma API (Application Programming Interface) de acesso a bases
de dados para a linguagem Perl. A especificação da API do DBI define
um conjunto de funções, variáveis e convenções que oferecem uma
interface de bases de dados consistente e independente da base de
dados que é usada para o efeito.

%description -l ru.UTF-8
DBI это библиотека для доступа к базам данных для языка Perl. DBI API
определяет набор функций, переменных и конверсий; обеспечивает
независимый интерфейс базы данных.

%description -l sv.UTF-8
DBI är ett databasåtkomstprogrammeringsgränssnitt (API) för
programmeringsspråket Perl. DBI API-specifikationen definerar ett
antal funktioner, variabler och konventioner som erbjuder ett
konsistent databasgränssnitt oberoende av den faktiska databas som
används.

%description -l zh_CN.UTF-8
DBI 是用于 Perl 编程语言的数据库访问程序编写界面 (API)。 DBI API
明细表定义了一组函数、变量和定规，它们提供了一个独立于实际被使用的数据
库之外的连贯的数据库 界面。

%package DBD-Proxy
Summary:	DBD::Proxy - A proxy driver for the DBI
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}

%description DBD-Proxy
DBD::Proxy is a Perl module for connecting to a database via a remote
DBI driver.

This is of course not needed for DBI drivers which already support
connecting to a remote database, but there are engines which don't
offer network connectivity.

%package ProfileDumper-Apache
Summary:	DBI::ProfileDumper::Apache - capture DBI profiling data from Apache/mod_perl
Summary(pl.UTF-8):	DBI::ProfileDumper::Apache - przechwytywanie danych parametryzujących DBI z Apache/mod_perl
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}

%description ProfileDumper-Apache
This module interfaces DBI::ProfileDumper to Apache/mod_perl. Using
this module you can collect profiling data from mod_perl applications.
It works by creating a DBI::ProfileDumper data file for each Apache
process. These files are created in your Apache log directory. You can
then use dbiprof to analyze the profile files.

%description ProfileDumper-Apache -l pl.UTF-8
Moduł ten sprzęga DBI::ProfileDumper z Apache/mod_perl. Korzystając z
niego można pobrać dane o parametryzacji z aplikacji mod_perl. Działa
on w oparciu o tworzenie przez DBI::ProfileDumper pliku danych dla
każdego procesu Apache'a. Pliki te tworzone są w katalogu logów
Apache'a. Można je analizować za pomocą dbiprof.

%prep
%setup -q -n %{pnam}-%{version}
%patch0 -p1
mv Roadmap.pod lib/DBI
mv Changes lib/DBI/Changes.pod
echo 'man DBI::Changes' > Changes

mv t/80proxy.t{,-needs-syslog}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{perl_vendorlib}/DBIx,%{perl_vendorarch}/{DBIx,auto/{DBD,DBIx}}}

# no reason to include Bundle::* in rpms
rm -rf $RPM_BUILD_ROOT{%{perl_vendorarch}/Bundle,%{_mandir}/man3/Bundle::*}
rm $RPM_BUILD_ROOT%{perl_vendorarch}/auto/DBI/.packlist

# not our os
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/{DBI/W32ODBC,Win32/DBIODBC}.pm
rm -f $RPM_BUILD_ROOT%{_mandir}/man3/{DBI::W32,Win32::DBI}ODBC.3pm
# different format in %doc
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/{TASKS,DBI/{Changes,Roadmap}}.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/*
%dir %{perl_vendorlib}/DBIx
%{perl_vendorarch}/*.pl
%{perl_vendorarch}/DBI.pm
%dir %{perl_vendorarch}/DBI
%dir %{perl_vendorarch}/DBIx
%{perl_vendorarch}/DBI/Const
%{perl_vendorarch}/DBI/DBD
%{perl_vendorarch}/DBI/Gofer
%{perl_vendorarch}/DBI/SQL
%{perl_vendorarch}/DBI/Util
%{perl_vendorarch}/DBI/*.pm
%{perl_vendorarch}/DBD
%dir %{perl_vendorarch}/auto/DBD
%dir %{perl_vendorarch}/auto/DBI
%dir %{perl_vendorarch}/auto/DBIx
%{perl_vendorarch}/auto/DBI/*.h
%{perl_vendorarch}/auto/DBI/Driver.xst
%{perl_vendorarch}/auto/DBI/DBI.bs
%attr(755,root,root) %{perl_vendorarch}/auto/DBI/DBI.so
%{_mandir}/man1/*
%{_mandir}/man3/DBD*
%{_mandir}/man3/DBI*
%{_mandir}/man3/TASKS.3pm*

# in subpackages
%exclude %{_mandir}/man3/DBD::Proxy.3pm*
%exclude %{_mandir}/man3/DBI::ProfileDumper::Apache.3*
%exclude %{_mandir}/man3/DBI::ProxyServer.3*
%exclude %{perl_vendorarch}/DBD/Proxy.pm
%exclude %{perl_vendorarch}/DBI/ProfileDumper/Apache.pm
%exclude %{perl_vendorarch}/DBI/ProxyServer.pm

%files DBD-Proxy
%defattr(644,root,root,755)
%{perl_vendorarch}/DBD/Proxy.pm
%{perl_vendorarch}/DBI/ProxyServer.pm
%{_mandir}/man3/DBD::Proxy.3pm*
%{_mandir}/man3/DBI::ProxyServer.3*

%files ProfileDumper-Apache
%defattr(644,root,root,755)
%dir %{perl_vendorarch}/DBI/ProfileDumper
%{perl_vendorarch}/DBI/ProfileDumper/Apache.pm
%{_mandir}/man3/DBI::ProfileDumper::Apache.3*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-DBI.spec,v $
Revision 1.87  2007-12-04 15:19:08  glen
- separated DBD::Proxy to subpackage
-  _noautoreq cleanup (remove duplicates)
- rel 2

Revision 1.86  2007-10-27 15:59:09  radek
- version 1.601

Revision 1.85  2007/06/30 21:00:23  arekm
- up to 1.58

Revision 1.84  2007/02/13 07:16:54  glen
- tabs in preamble

Revision 1.83  2007/02/12 00:49:28  baggins
- converted to UTF-8

Revision 1.82  2006/11/17 14:58:04  glen
- disable t/80proxy.t test (needs /dev/log); rel 2

Revision 1.81  2006/11/17 14:50:36  glen
- 1.53

Revision 1.80  2006/07/25 16:45:57  qboosh
- DBI::ProfileDumper is in main, DBI::ProfileDumper::Apache in subpackage

Revision 1.79  2006/07/24 12:02:42  radek
- version 1.51, turned tests on by default
- noautoreq perl(DBI*)
- removed man for DBI::ProfileDumper from main package

Revision 1.78  2006/02/20 00:28:50  glen
- add todo

Revision 1.77  2006/02/08 19:01:25  migo
- up to 1.50

Revision 1.76  2005/12/30 00:11:56  glen
- add dirs for DBIx modules
- cleaned up check-files
- rel 2

Revision 1.75  2005/07/23 23:14:04  radek
- minor cleanup

Revision 1.74  2005/07/23 23:10:04  radek
- version 1.48, hacked Roadmap / Changes man pages generation

Revision 1.73  2004/12/01 12:40:55  radek
- autoupdated to 1.46

Revision 1.72  2004/11/03 22:30:15  paladine
- formatting

Revision 1.71  2004/10/24 14:16:52  paladine
- perla->Perla

Revision 1.70  2004/10/23 23:56:23  qboosh
- updated to 1.45

Revision 1.69  2004/10/17 21:50:28  adamg
- updated to 1.44

Revision 1.68  2004/07/11 20:04:40  adamg
- updated to 1.43

Revision 1.67  2004/06/02 08:19:46  ankry
- removed unnecessary R/BR, rel.++

Revision 1.66  2004/05/07 00:31:59  ankry
- rel. 2

Revision 1.65  2004/05/06 18:43:08  ankry
- fixed perl-devel BR

Revision 1.64  2004/04/20 18:03:08  qboosh
- Conflicts: perl-DBD-CSV < (1:)0.21 (which contained DBD::File)

Revision 1.63  2004/03/14 22:58:02  adgor
- Missing files ( DBI::SQL::Nano )

Revision 1.62  2004/03/14 17:31:52  adamg
- updated to 1.42

Revision 1.61  2004/03/07 11:37:56  adamg
- updated to 1.41

Revision 1.60  2004/02/18 15:29:33  qboosh
- s/no/nb/ in Summary langs

Revision 1.59  2004/01/12 17:50:47  migo
- up to 1.40, license cosmetics

Revision 1.58  2003/12/03 19:35:57  migo
- up to 1.39, new bcond style

Revision 1.57  2003/09/09 10:24:31  ankry
- spaces -> tab

Revision 1.56  2003/09/04 15:13:08  qboosh
- removed Bundle::* once again

Revision 1.55  2003/09/03 12:36:15  grzegol
- updated to 1.38

Revision 1.54  2003/08/18 08:08:39  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.53  2003/06/22 14:17:35  migo
- reverted last change - I'm blind

Revision 1.52  2003/06/22 14:09:39  migo
- added DBI::ProfileDumper::Apache to package
- release 2

Revision 1.51  2003/06/04 06:21:24  trojan
- fixed md5

Revision 1.50  2003/06/04 06:16:00  trojan
- updated to 1.37

Revision 1.49  2003/05/25 11:00:57  malekith
- massive attack, adding Source-md5

Revision 1.48  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.47  2003/04/20 22:41:28  ankry
- merged translations from RH

Revision 1.46  2003/04/15 00:16:47  ankry
- rel++ (to be higher than in RA-branch)

Revision 1.45  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.44  2003/04/11 08:47:45  qboosh
- BRs are needed also for resolving dependencies

Revision 1.43  2003/04/08 21:52:53  ankry
- reverse last change
- rel. 3

Revision 1.42  2003/03/15 22:10:38  adgor
- Requires perl-PlRPC

Revision 1.41  2003/03/13 00:02:07  ankry
- merge from RA-branch: updated to 1.35

Revision 1.40  2003/03/01 18:05:01  radek
- should be ready for perl-5.8.0; release++

Revision 1.39  2003/02/24 20:31:52  radek
- use the __perl macro

Revision 1.38  2003/02/23 01:04:33  ankry
- added _noautoreqdep for perl(UNIVERSAL) - it is provided by perl-modules
  and perl-Attribute-Persistent
- rel. 2

Revision 1.37  2003/02/18 15:30:41  ankry
- massive attack: change CPAN URLs

Revision 1.36  2003/01/07 14:00:13  mis
- autoupdated to 1.32

Revision 1.35  2002/10/12 13:45:00  radek
- DBI/Changes.pm is a POD file
- removed DBI::W32ODBC (AFAIK we do not provide Win32::ODBC)
- release 2
  STBR

Revision 1.34  2002/08/28 00:04:13  radek
- typo

Revision 1.33  2002/08/27 10:35:50  radek
- tests default off

Revision 1.32  2002/08/25 12:49:41  radek
- removed Win32 files, provided informative summary/description,
  added conditional tests, fixed License field
- version 1.30

Revision 1.31  2002/07/24 00:19:24  ankry
- removed %{perl_sitearch}/Bundle
- release 4

Revision 1.30  2002/07/16 23:27:55  ankry
- translations, cleaning
- added %{perl_sitelib}/DBIx, %{perl_sitearch}/Bundle and
  %{perl_sitearch}/auto/DBD dirs
- new %doc
- release 3

Revision 1.29  2002/05/11 14:28:06  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.28  2002/03/03 22:23:59  marcus
- rel.2.

Revision 1.27  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.26  2002/02/17 17:36:49  kloczek
- adapterized.

Revision 1.25  2002/02/17 17:12:07  depesz
- new version, STBR

Revision 1.24  2002/02/10 15:25:32  depesz
- adapterized

Revision 1.23  2002/01/18 02:14:13  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.22  2001/09/08 07:35:53  kloczek
- updated to 1.20.

Revision 1.21  2001/07/25 09:07:44  mis
- autoupdated to 1.19

Revision 1.20  2001/07/16 00:09:55  qboosh
- removed Bundle::* - we use rpm dependencies
- added %{perl_sitearch}/{DBD,DBI,Win32,auto/DBI} dirs
  (all packages that use them require perl-DBI)
- release 2

Revision 1.19  2001/06/06 16:19:00  mis
- autoupdated to 1.18

Revision 1.18  2001/05/30 13:39:47  mis
- autoupdated to 1.16

Revision 1.17  2001/05/02 21:51:25  qboosh
- adapterized and made spec %debug ready or added using %rpm*flags macros

Revision 1.16  2001/04/17 12:07:16  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.15  2001/04/14 18:00:05  baggins
- removed explicit requirements for perl = %{version} and %{perl_sitearch}
  they will be added by rpm if needed

Revision 1.14  2001/04/04 18:31:08  mis
- autoupdated to 1.15

Revision 1.13  2001/01/25 20:03:44  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.12  2000/12/30 06:49:49  kloczek
- release 2: rebuild against perl 5.6 and use new rpm automation.

Revision 1.11  2000/08/24 04:35:27  yaro
- added missing dbipport.h

Revision 1.10  2000/08/22 09:55:16  kloczek
- updated to 1.14.

Revision 1.9  2000/06/09 07:23:32  kloczek
- added using %{__make} macro.

Revision 1.8  2000/05/16 22:13:21  kloczek
- spec adapterized.

Revision 1.7  2000/04/01 11:15:18  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.6  2000/03/28 16:54:48  baggins
- translated kloczkish into english

Revision 1.5  2000/02/17 20:39:10  pius
- updated to 1.13

Revision 1.4  1999/11/25 19:24:14  pius
- updated to 1.09

Revision 1.3  1999/11/07 09:17:09  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/11/03 11:09:29  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 18:15:15  pius
- initial release
